{% macro sort_header(col, sort, rev) %}

    {#
    Make a clickable header, to sort the column forwards or backwards.
    Uses radio button inputs to select the column to sort on, and a checkbox
    per column to toggle sort order.
    The inputs are used to handle state, but are hidden using CSS.
    The main point is to store the state in the URL.
    #}

    <input type="radio" name="sort" id="sort-{{ col }}"
           style="display: none;" value="{{ col }}"
           {% if sort and sort.startswith(col) %}checked{% endif %}
           onChange="this.form.submit()"/>

    {% if sort == col %}
        <label>
            <input type="checkbox" name="sort_rev"
                   onChange="this.form.submit()"
                   style="display: none;"
                   {% if rev %}checked{% endif %}>
            {{ col | capitalize() }}
            {% if rev %}🠙{% else %}🠛{% endif %}
        </label>
    {% else %}
        <label for="sort-{{ col }}">
            {{ col | capitalize() }}
        </label>
    {% endif %}

{% endmacro %}


{% macro filter_only(name, only) %}
    {# A simple checkbox that toggles a "only" filter #}
    <label>
        <input type="checkbox" name="only" value="{{ name }}"
               {% if name in only %}checked{% endif %}
               onChange="this.form.submit()"/>
        {{ name | capitalize() }}
    </label>
{% endmacro %}
